<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('mail\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if (!isset($_GET['id'])){header("Location: /konts.php?".SID);exit;}
$ank=get_user($_GET['id']);
{
if (!$ank){header("Location: /konts.php?".SID);exit;}
}
$id=abs(intval($_GET['id']));//спам удаления
$ank=get_user(intval($_GET['id']));




$set['title']='Почта: '.$ank['nick'];
include_once 'sys/inc/thead.php';
title();



// добавляем в контакты
if ($user['add_konts']==2 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
// обновление сведений о контакте
mysql_query("UPDATE `users_konts` SET `new_msg` = '0' WHERE `id_kont` = '$ank[id]' AND `id_user` = '$user[id]' LIMIT 1");
// помечаем сообщения как прочитанные
mysql_query("UPDATE `mail` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'");

if (isset($_POST['msg']) && $ank['id']!=0)
{

if ($user['level']==0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'"), 0)==0)
{
if (!isset($_SESSION['captcha']))$err[]='Ошибка проверочного числа';
if (!isset($_POST['chislo']))$err[]='Введите проверочное число';
elseif ($_POST['chislo']==null)$err[]='Введите проверочное число';
elseif ($_POST['chislo']!=$_SESSION['captcha'])$err[]='Проверьте правильность ввода проверочного числа';
}


$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024)$err[]='Сообщение превышает 1024 символа';
if (strlen2($msg)<2)$err[]='Слишком короткое сообщение';

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (!isset($err) && mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `time` > '".($time-360)."' AND `msg` = '".my_esc($msg)."'"),0)==0)
{
// отправка сообщения
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$ank[id]', '".my_esc($msg)."', '$time')");
//авто ответчик
if($ank['mail_avto']==1){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
{
//здесь ничего просто через else
}
else
{
mysql_query("INSERT INTO `mail` (`id_kont`, `id_user`, `msg`, `time`) values('$user[id]', '$ank[id]', '".$ank['otvet']."', '$time')");
}
}
/// Проверка на Спам+БАН(если не создатель)+отправка сообщения создателю о спаме
/// + изменение уровня спама пользователя
/// by Amin
$vyvod=mysql_query("SELECT * FROM `spam` WHERE `act`='1'");
while ($anti = mysql_fetch_assoc($vyvod))
{
$a = 'http://'.$anti['eto'].'';
$test=stristr($msg,$a);
$test2 = stristr($msg,$anti['eto']);
$vol= str_replace(' ','',$msg);
$test3 = stristr($vol,$anti['eto']);
$test5 = mb_stristr($vol,translit($anti['eto']),'UTF8');
$test4=mb_stristr($vol,translit($anti['eto']),'UTF8');
if($test==TRUE && $_SERVER['QUERY_STRING']!='id=0' && $test != $_SERVER['HTTP_HOST'] || $test2==TRUE && $_SERVER['QUERY_STRING']!='id=0' && $test2 != $_SERVER['HTTP_HOST'] || $test3==TRUE || $test4==TRUE || $test5==TRUE){
if($anti['ban']!='0' && $anti['ban_time'] != '0'){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$user[id]' AND `time` > '$time'"), 0)==0 && $user['id']!='1')
{
$ban_time=$anti['ban_time']*60+$time;
mysql_query("INSERT INTO `ban` (id_user, time, prich,id_ban) values('$user[id]', '$ban_time', 'Автоблок АнтиСпама','1')");
$msg3='
И был забанён на '.$anti['ban_time'].' минут';
}
}
$spam=$user['spam']+$anti['spam_level'];
mysql_query("UPDATE `user` SET `spam`='".$spam."' WHERE `id`='".$user['id']."'");
$spam_w=$anti['eto'];
$spam=substr($spam_w, 0, strlen($spam_w)-1);

$msg2='Я проспамил в почте [url=/info.php?id='.$ank['id'].']'.$ank['nick'].'[/url]'.$msg3;
mysql_query("INSERT INTO `mail` (id_user, time, msg,id_kont) values('$user[id]', '$time', '".my_esc($msg2)."','1')");
}
}
/// by Amin
/// Конец
// добавляем в контакты
if ($user['add_konts']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0)==0)
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
// обновление сведений о контакте
mysql_query("UPDATE `users_konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
msg(' SmS - ка отправлена )');
}
}

//удаления
if(isset($_GET['delete'])){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `id`='".abs(intval($_GET['delete']))."'"),0)!=0 || mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `id`='".abs(intval($_GET['delete']))."'"),0)!=0){
mysql_query("DELETE FROM `mail` WHERE `id`='".abs(intval($_GET['delete']))."'");
msg('Сообщение удалено');
}
}

//спам
if(isset($_GET['spam'])){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' AND `id`='".abs(intval($_GET['spam']))."'"),0)!=0 || mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `id`='".abs(intval($_GET['spam']))."'"),0)!=0){
$message=mysql_result(mysql_query("SELECT `id_user` FROM `mail` WHERE `id`='".abs(intval($_GET['spam']))."'"),0);
$msg="Пользователь ".$user['nick']." подал жалобу на спам от пользователя ".mysql_result(mysql_query("SELECT `nick` FROM `user` WHERE `id`='".$message."'"),0)." (".output_text(mysql_result(mysql_query("SELECT `msg` FROM `mail` WHERE `id`='".abs(intval($_GET['spam']))."'"),0)).")";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '1', '".my_esc($msg)."', '".time()."')");

msg('Сообщение отправлено на расмотрение администраци');
}
}

aut();
err();

echo "<div class='enk2_div'>\n";
echo "<b>";
echo "<a href='/otvet.php?id=$user[id]'>Авт-чик</a> • ";
echo "<a href='/bb.code.php'>ВВ коды</a>\n • ";
echo "<a href='/smiles/index.php'>Смайлы</a> \n";
echo "</b>";

######## ВОТ! ############      ^^^^^^ -имя формы
echo auto_bb('message','msg');
######## ВОТ! ############

echo "</div>";



if ($ank['id']!=0){
// Запрещаемый писать в почте если контакт - не создатель.
if($user['spam']>='10' && $user['id']!='1' && $ank['id']!='1'){
echo '<div class="p_m"><font color="red">Ваш уровень спам угрозы слишком велик! Вы не можете писать в гостевой,в форуме и в почте(всем,кроме создателя).</font></div>';
}
else
{
echo "<form method='post' name='message' action='/mail.php?id=$ank[id]&amp;$passgen'>\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
if ($user['level']==0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_kont` = '$user[id]' AND `id_user` = '$ank[id]'"), 0)==0)
echo "<img src='/captcha.php?SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
echo "<input type='submit' name='send' value='Отправить' />\n";
echo "<a href='/mail.php?id=$ank[id]/".rand(1000,9999)."/'>Обновить</a>\n";
echo "</form>";
}
}


echo "<table class='post'>\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";

}
$q=mysql_query("SELECT * FROM `mail` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ank2=get_user($post['id_user']);
echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank2['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "".avatar2($ank2['id'])."";
echo "  </td>\n";
}


echo "  <td class='p_t'>\n";
if ($ank2)

echo "<a href='/info.php?id=$ank2[id]'><span style='color:$ank2[ncolor]'>$ank2[nick]</span></a> ".status($ank2['id'])." \n";
else
echo "[DELETED] (+$kont[count])\n";
echo "".medal($ank2['id'])."";
echo "".vip($ank2['id'])."\n";
echo " ".wap_web($ank2['id'])." ";
echo "(".vremja($post['time']).")\n";
echo "  </td>\n";
echo "   </tr>\n";


echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
if ($post['read']==0)echo "(не прочитано)<br />\n";
echo output_text($post['msg'])."\n";
//удаления спам кнопки
echo "<br/>[<a href='mail.php?spam=".$post['id']."&id=".$id."'>Это спам</a>|<a href='mail.php?delete=".$post['id']."&id=".$id."'>Удалить</a>]<br />\n";
//
echo "  </td>\n";
echo "   </tr>\n";






}
echo "</table>\n";
if ($k_page>1)str("mail.php?id=$ank[id]&amp;",$k_page,$page); // Вывод страниц




echo "<div class='foot'>";

if ($ank['id']!=0)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==1)
{
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
echo "<a href='/konts.php?type=$kont[type]&amp;act=del&amp;id=$ank[id]'>Удалить контакт из списка</a><br />\n";
}
else
{
echo "<a href='/konts.php?type=common&amp;act=add&amp;id=$ank[id]'>Добавить в список контактов</a><br />\n";
}
}

echo "<a href='/konts.php?".(isset($kont)?'type='.$kont['type']:null)."'>Список контактов</a><br />\n";
echo "</div>\n";
echo "<div class='foot'>\n";
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";
echo "&laquo;<a href='umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>